org.apache.poi.xddf.usermodel.chart

## Class XDDFScatterChartData.Series

- java.lang.Object
- - org.apache.poi.xddf.usermodel.chart.XDDFChartData.Series
  - - org.apache.poi.xddf.usermodel.chart.XDDFScatterChartData.Series

- Enclosing class:
    XDDFScatterChartData

      public class XDDFScatterChartData.Series
      extends XDDFChartData.Series

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xddf.usermodel.chart.XDDFChartData.Series

      `categoryData, valuesData`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Series(org.openxmlformats.schemas.drawingml.x2006.chart.CTScatterSer series, org.openxmlformats.schemas.drawingml.x2006.chart.CTAxDataSource category, org.openxmlformats.schemas.drawingml.x2006.chart.CTNumDataSource values)`
    `protected` | `Series(org.openxmlformats.schemas.drawingml.x2006.chart.CTScatterSer series, XDDFDataSource<?> category, XDDFNumericalDataSource<?> values)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFErrorBars` | `addNewErrorBars()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTAxDataSource` | `getAxDS()`
    `XDDFErrorBars` | `getErrorBars(int index)`
    `int` | `getErrorBarsCount()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTNumDataSource` | `getNumDS()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTSerTx` | `getSeriesText()`
    `XDDFShapeProperties` | `getShapeProperties()`
    `XDDFErrorBars` | `insertNewErrorBars(int index)`
    `java.lang.Boolean` | `isSmooth()`
    `void` | `removeErrorBars(int index)`
    `protected void` | `setIndex(long val)`
    `void` | `setMarkerSize(short size)`
    `void` | `setMarkerStyle(MarkerStyle style)`
    `protected void` | `setOrder(long val)`
    `void` | `setShapeProperties(XDDFShapeProperties properties)`
    `void` | `setShowLeaderLines(boolean showLeaderLines)`
    `void` | `setSmooth(java.lang.Boolean smooth)`

    - ### Methods inherited from class org.apache.poi.xddf.usermodel.chart.XDDFChartData.Series

      `getCategoryData, getValuesData, plot, replaceData, setFillProperties, setLineProperties, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Series

          protected Series(org.openxmlformats.schemas.drawingml.x2006.chart.CTScatterSer series,
                           XDDFDataSource<?> category,
                           XDDFNumericalDataSource<?> values)

    - #### Series

          protected Series(org.openxmlformats.schemas.drawingml.x2006.chart.CTScatterSer series,
                           org.openxmlformats.schemas.drawingml.x2006.chart.CTAxDataSource category,
                           org.openxmlformats.schemas.drawingml.x2006.chart.CTNumDataSource values)

  - ### Method Detail

    - #### getSeriesText

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTSerTx getSeriesText()

      Specified by:
        `getSeriesText` in class `XDDFChartData.Series`

    - #### isSmooth

          public java.lang.Boolean isSmooth()

      Since:
        4.0.1

    - #### setSmooth

          public void setSmooth(java.lang.Boolean smooth)

      Parameters:
        `smooth` - whether or not to smooth lines, if `null` then reverts to default.
      Since:
        4.0.1

    - #### setMarkerSize

          public void setMarkerSize(short size)

      Parameters:
        `size` -
        Minimum inclusive:
          2
        Maximum inclusive:
          72
      Since:
        4.0.1

    - #### setMarkerStyle

          public void setMarkerStyle(MarkerStyle style)

      Since:
        4.0.1

    - #### getErrorBarsCount

          public int getErrorBarsCount()

      Since:
        POI 4.1.2

    - #### getErrorBars

          public XDDFErrorBars getErrorBars(int index)

      Since:
        POI 4.1.2

    - #### addNewErrorBars

          public XDDFErrorBars addNewErrorBars()

      Since:
        POI 4.1.2

    - #### insertNewErrorBars

          public XDDFErrorBars insertNewErrorBars(int index)

      Since:
        POI 4.1.2

    - #### removeErrorBars

          public void removeErrorBars(int index)

      Since:
        POI 4.1.2

    - #### setShowLeaderLines

          public void setShowLeaderLines(boolean showLeaderLines)

      Specified by:
        `setShowLeaderLines` in class `XDDFChartData.Series`

    - #### getShapeProperties

          public XDDFShapeProperties getShapeProperties()

      Specified by:
        `getShapeProperties` in class `XDDFChartData.Series`

    - #### setShapeProperties

          public void setShapeProperties(XDDFShapeProperties properties)

      Specified by:
        `setShapeProperties` in class `XDDFChartData.Series`

    - #### getAxDS

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTAxDataSource getAxDS()

      Specified by:
        `getAxDS` in class `XDDFChartData.Series`

    - #### getNumDS

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTNumDataSource getNumDS()

      Specified by:
        `getNumDS` in class `XDDFChartData.Series`

    - #### setIndex

          protected void setIndex(long val)

      Specified by:
        `setIndex` in class `XDDFChartData.Series`

    - #### setOrder

          protected void setOrder(long val)

      Specified by:
        `setOrder` in class `XDDFChartData.Series`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.